Ukraine Class Reference
Date and time calculations » Calendars

Ukrainian calendars. More...

`#include <ql/time/calendars/ukraine.hpp>`

Inheritance diagram for Ukraine:
[legend]

## Public Types

enum | Market { USE }

## Public Member Functions

| Ukraine (Market m=USE)
Public Member Functions inherited from Calendar
| Calendar ()
bool | empty () const
| Returns whether or not the calendar is initialized.
std::string | name () const
| Returns the name of the calendar. More...
bool | isBusinessDay (const Date &d) const
bool | isHoliday (const Date &d) const
bool | isWeekend (Weekday w) const
bool | isEndOfMonth (const Date &d) const
Date | endOfMonth (const Date &d) const
| last business day of the month to which the given date belongs
void | addHoliday (const Date &)
void | removeHoliday (const Date &)
Date | adjust (const Date &, BusinessDayConvention convention=Following) const
Date | advance (const Date &, Integer n, TimeUnit unit, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date | advance (const Date &date, const Period &period, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date::serial_type | businessDaysBetween (const Date &from, const Date &to, bool includeFirst=true, bool includeLast=false) const

## Additional Inherited Members

Static Public Member Functions inherited from Calendar
static std::vector< Date > | holidayList (const Calendar &calendar, const Date &from, const Date &to, bool includeWeekEnds=false)
| Returns the holidays between two dates.
Protected Attributes inherited from Calendar
boost::shared_ptr< Impl > | impl_
Related Functions inherited from Calendar
bool | operator== (const Calendar &, const Calendar &)
bool | operator!= (const Calendar &, const Calendar &)
std::ostream & | operator<< (std::ostream &, const Calendar &)

## Detailed Description

Ukrainian calendars.

Holidays for the Ukrainian stock exchange (data from http://www.ukrse.kiev.ua/eng/):

- Saturdays
- Sundays
- New Year's Day, January 1st
- Orthodox Christmas, January 7th
- International Women's Day, March 8th
- Easter Monday
- Holy Trinity Day, 50 days after Easter
- International Workers' Solidarity Days, May 1st and 2nd
- Victory Day, May 9th
- Constitution Day, June 28th
- Independence Day, August 24th
- Defender's Day, October 14th (since 2015)

Holidays falling on a Saturday or Sunday might be moved to the following Monday.

## Member Enumeration Documentation

## Market

enum Market

Enumerator
USE | Ukrainian stock exchange.